Summary: Library for editing typed command lines
Name: readline
Version: 6.2
Release: r4.0
License: GPLv3+
Group: libs
Packager: Wind River <info@windriver.com>
URL: unknown
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/powerpc-wrs-linux-gcc
BuildRequires: ncurses
BuildRequires: gnu-config-native
BuildRequires: virtual/libc
BuildRequires: virtual/powerpc-wrs-linux-compilerlibs
BuildRequires: automake-native

%description
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are typed in.
Both Emacs and vi editing modes are available. The Readline library
includes  additional functions to maintain a list of previously-entered
command lines, to recall and perhaps reedit those   lines, and perform csh-
like history expansion on previous commands.

%package -n libreadline-dbg
Summary: Library for editing typed command lines - Debugging files
Group: devel
Suggests: libc6-dbg(ppce5500)
Suggests: ncurses-libtinfo-dbg
Recommends: libreadline6(ppce5500) = 6.2-r4.0
Provides: libreadline-dbg(ppce5500) = 6.2-r4.0

%description -n libreadline-dbg
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are typed in.
Both Emacs and vi editing modes are available. The Readline library
includes  additional functions to maintain a list of previously-entered
command lines, to recall and perhaps reedit those   lines, and perform csh-
like history expansion on previous commands.  This package contains ELF
symbols and related sources for debugging purposes.

%package -n libreadline-staticdev
Summary: Library for editing typed command lines - Development files (Static Libraries)
Group: devel
Requires: libreadline-dev(ppce5500) = 6.2-r4.0
Provides: libreadline-staticdev(ppce5500) = 6.2-r4.0

%description -n libreadline-staticdev
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are typed in.
Both Emacs and vi editing modes are available. The Readline library
includes  additional functions to maintain a list of previously-entered
command lines, to recall and perhaps reedit those   lines, and perform csh-
like history expansion on previous commands.  This package contains static
libraries for software development.

%package -n libreadline-dev
Summary: Library for editing typed command lines - Development files
Group: devel
Requires: libreadline6(ppce5500) = 6.2-r4.0
Suggests: libc6-dev(ppce5500)
Suggests: ncurses-dev(ppce5500)
Suggests: ncurses-libtinfo-dev
Provides: libreadline-dev(ppce5500) = 6.2-r4.0

%description -n libreadline-dev
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are typed in.
Both Emacs and vi editing modes are available. The Readline library
includes  additional functions to maintain a list of previously-entered
command lines, to recall and perhaps reedit those   lines, and perform csh-
like history expansion on previous commands.  This package contains
symbolic links, header files, and related items necessary for software
development.

%package -n libreadline-doc
Summary: Library for editing typed command lines - Documentation files
Group: doc

%description -n libreadline-doc
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are typed in.
Both Emacs and vi editing modes are available. The Readline library
includes  additional functions to maintain a list of previously-entered
command lines, to recall and perhaps reedit those   lines, and perform csh-
like history expansion on previous commands.  This package contains
documentation.

%package -n libreadline-locale
Summary: Library for editing typed command lines
Group: libs

%description -n libreadline-locale
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are typed in.
Both Emacs and vi editing modes are available. The Readline library
includes  additional functions to maintain a list of previously-entered
command lines, to recall and perhaps reedit those   lines, and perform csh-
like history expansion on previous commands.

%package -n libreadline6
Summary: Library for editing typed command lines
Group: libs
Requires: rtld(GNU_HASH)
Requires: libtinfo.so.5
Requires: libc.so.6(GLIBC_2.1)
Requires: libc.so.6(GLIBC_2.0)
Requires: libc.so.6(GLIBC_2.2)
Requires: libc.so.6(GLIBC_2.3)
Requires: libc.so.6
Requires: libc.so.6(GLIBC_2.3.4)
Requires: libc6 >= 2.18+4.8
Requires: libtinfo5(ppce5500) >= 5.9
Requires: libc.so.6(GLIBC_2.1.3)
Requires: libc.so.6(GLIBC_2.4)
Requires(post): rtld(GNU_HASH)
Requires(post): libtinfo.so.5
Requires(post): libc.so.6(GLIBC_2.1)
Requires(post): libc.so.6(GLIBC_2.0)
Requires(post): libc.so.6(GLIBC_2.2)
Requires(post): libc.so.6(GLIBC_2.3)
Requires(post): libc.so.6
Requires(post): libc.so.6(GLIBC_2.3.4)
Requires(post): libc6 >= 2.18+4.8
Requires(post): libtinfo5(ppce5500) >= 5.9
Requires(post): libc.so.6(GLIBC_2.1.3)
Requires(post): libc.so.6(GLIBC_2.4)
Provides: libreadline6(ppce5500) = 6.2-r4.0
Provides: libhistory.so.6
Provides: libreadline.so.6

%description -n libreadline6
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are typed in.
Both Emacs and vi editing modes are available. The Readline library
includes  additional functions to maintain a list of previously-entered
command lines, to recall and perhaps reedit those   lines, and perform csh-
like history expansion on previous commands.

%post -n libreadline6
# libreadline6 - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libreadline-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib"
%dir "/usr/src"
%dir "/usr/lib/.debug"
"/usr/lib/.debug/libhistory.so.6.2"
"/usr/lib/.debug/libreadline.so.6.2"
%dir "/usr/src/debug"
%dir "/usr/src/debug/readline"
%dir "/usr/src/debug/readline/6.2-r4"
%dir "/usr/src/debug/readline/6.2-r4/readline-6.2"
"/usr/src/debug/readline/6.2-r4/readline-6.2/rlprivate.h"
"/usr/src/debug/readline/6.2-r4/readline-6.2/tilde.h"
"/usr/src/debug/readline/6.2-r4/readline-6.2/histsearch.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/macro.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/vi_keymap.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/keymaps.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/util.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/history.h"
"/usr/src/debug/readline/6.2-r4/readline-6.2/signals.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/isearch.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/undo.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/nls.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/histexpand.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/xmalloc.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/misc.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/rltypedefs.h"
"/usr/src/debug/readline/6.2-r4/readline-6.2/display.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/keymaps.h"
"/usr/src/debug/readline/6.2-r4/readline-6.2/text.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/xfree.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/search.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/compat.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/parens.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/kill.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/rltty.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/mbutil.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/history.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/emacs_keymap.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/histlib.h"
"/usr/src/debug/readline/6.2-r4/readline-6.2/shell.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/rltty.h"
"/usr/src/debug/readline/6.2-r4/readline-6.2/readline.h"
"/usr/src/debug/readline/6.2-r4/readline-6.2/complete.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/histfile.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/terminal.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/xmalloc.h"
"/usr/src/debug/readline/6.2-r4/readline-6.2/callback.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/input.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/vi_mode.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/funmap.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/readline.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/rlshell.h"
"/usr/src/debug/readline/6.2-r4/readline-6.2/tilde.c"
"/usr/src/debug/readline/6.2-r4/readline-6.2/bind.c"

%files -n libreadline-staticdev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib"
"/usr/lib/libhistory.a"
"/usr/lib/libreadline.a"

%files -n libreadline-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/include"
%dir "/usr/lib"
%dir "/usr/include/readline"
"/usr/include/readline/tilde.h"
"/usr/include/readline/rlstdc.h"
"/usr/include/readline/history.h"
"/usr/include/readline/rlconf.h"
"/usr/include/readline/rltypedefs.h"
"/usr/include/readline/keymaps.h"
"/usr/include/readline/readline.h"
"/usr/include/readline/chardefs.h"
"/usr/lib/libreadline.so"
"/usr/lib/libhistory.so"

%files -n libreadline-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/info"
%dir "/usr/share/man"
"/usr/share/info/readline.info"
"/usr/share/info/history.info"
"/usr/share/info/rluserman.info"
%dir "/usr/share/man/man3"
"/usr/share/man/man3/readline.3"
"/usr/share/man/man3/history.3"

%files -n libreadline6
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/lib"
%dir "/usr/share/readline"
"/usr/share/readline/rlcat.c"
"/usr/share/readline/rltest.c"
"/usr/share/readline/rlptytest.c"
"/usr/share/readline/fileman.c"
"/usr/share/readline/rlevent.c"
"/usr/share/readline/rl-fgets.c"
"/usr/share/readline/rlversion.c"
"/usr/share/readline/manexamp.c"
"/usr/share/readline/rl.c"
"/usr/share/readline/excallback.c"
"/usr/share/readline/histexamp.c"
"/usr/lib/libhistory.so.6"
"/usr/lib/libhistory.so.6.2"
"/usr/lib/libreadline.so.6"
"/usr/lib/libreadline.so.6.2"

